## websocketpp 0.8.1

=== CMakeLists.txt ===

############ Setup project and cmake
# Minimum cmake requirement. We should require a quite recent
# cmake for the dependency find macros etc. to be up to date.
cmake_minimum_required (VERSION 2.8.8)

############ Paths

set (WEBSOCKETPP_ROOT ${CMAKE_CURRENT_SOURCE_DIR})
set (WEBSOCKETPP_INCLUDE ${WEBSOCKETPP_ROOT}/websocketpp)
set (WEBSOCKETPP_BUILD_ROOT ${CMAKE_CURRENT_BINARY_DIR})
set (WEBSOCKETPP_BIN ${WEBSOCKETPP_BUILD_ROOT}/bin)
set (WEBSOCKETPP_LIB ${WEBSOCKETPP_BUILD_ROOT}/lib)

# CMake install step prefix. I assume linux users want the prefix to
# be the default /usr or /usr/local so this is only adjusted on Windows.
# This must be set prior to any call to project or it will not be read correctly.
# - Windows: Build the INSTALL project in your solution file.
# - Linux/OSX: make install.
if (WIN32)
    set (CMAKE_INSTALL_PREFIX "${WEBSOCKETPP_ROOT}/install" CACHE PATH "")
endif ()

############ Project name and version
set (WEBSOCKETPP_MAJOR_VERSION 0)
set (WEBSOCKETPP_MINOR_VERSION 8)
set (WEBSOCKETPP_PATCH_VERSION 0)
set (WEBSOCKETPP_VERSION ${WEBSOCKETPP_MAJOR_VERSION}.${WEBSOCKETPP_MINOR_VERSION}.${WEBSOCKETPP_PATCH_VERSION})

if(POLICY CMP0048)
  cmake_policy(GET CMP0048 _version_policy)
endif()

if(_version_allowed STREQUAL NEW)
  project (websocketpp VERSION ${WEBSOCKETPP_VERSION})
else()
  project (websocketpp)
endif()

set_property(GLOBAL PROPERTY USE_FOLDERS ON)

set(INSTALL_INCLUDE_DIR include CACHE PATH "Installation directory for header files")
if (WIN32 AND NOT CYGWIN)
  set (DEF_INSTALL_CMAKE_DIR cmake)
else ()
  set (DEF_INSTALL_CMAKE_DIR lib/cmake/websocketpp)
endif ()
set (INSTALL_CMAKE_DIR ${DEF_INSTALL_CMAKE_DIR} CACHE PATH "Installation directory for CMake files")

# Make relative paths absolute (needed later on)
foreach (p INCLUDE CMAKE)
  set (var INSTALL_${p}_DIR)
  if (NOT IS_ABSOLUTE "${${var}}")
    set (${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
  endif ()
endforeach ()

# Set CMake library search policy
if (COMMAND cmake_policy)
    cmake_policy (SET CMP0003 NEW)
    cmake_policy (SET CMP0005 NEW)
endif ()

# Disable unnecessary build types
set (CMAKE_CONFIGURATION_TYPES "Release;RelWithDebInfo;Debug" CACHE STRING "Configurations" FORCE)

# Include our cmake macros
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include (CMakeHelpers)


############  Build customization

# Override from command line "CMake -D<OPTION>=TRUE/FALSE/0/1/ON/OFF"
option (ENABLE_CPP11 "Build websocketpp with CPP11 features enabled." TRUE)
option (BUILD_EXAMPLES "Build websocketpp examples." FALSE)
option (BUILD_TESTS "Build websocketpp tests." FALSE)

if (BUILD_TESTS OR BUILD_EXAMPLES)

    enable_testing ()

    ############ Compiler specific setup

    set (WEBSOCKETPP_PLATFORM_LIBS "")
    set (WEBSOCKETPP_PLATFORM_TLS_LIBS "")
    set (WEBSOCKETPP_BOOST_LIBS "")

    # VC9 and C++11 reasoning
    if (ENABLE_CPP11 AND MSVC AND MSVC90)
        message("* Detected Visual Studio 9 2008, disabling C++11 support.")
        set (ENABLE_CPP11 FALSE)
    endif ()

    # Detect clang. Not officially reported by cmake.
    execute_process(COMMAND "${CMAKE_CXX_COMPILER}" "-v" ERROR_VARIABLE CXX_VER_STDERR)
    if ("${CXX_VER_STDERR}" MATCHES ".*clang.*")
        set (CMAKE_COMPILER_IS_CLANGXX 1)
    endif ()

    # C++11 defines
    if (ENABLE_CPP11)
        if (MSVC)
            add_definitions (-D_WEBSOCKETPP_CPP11_FUNCTIONAL_)
            add_definitions (-D_WEBSOCKETPP_CPP11_SYSTEM_ERROR_)
            add_definitions (-D_WEBSOCKETPP_CPP11_RANDOM_DEVICE_)
            add_definitions (-D_WEBSOCKETPP_CPP11_MEMORY_)
        else()
            add_definitions (-D_WEBSOCKETPP_CPP11_STL_)
        endif()
    endif ()

    # Visual studio
    if (MSVC)
        set (WEBSOCKETPP_BOOST_LIBS system thread)
        set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /GL /Gy /GF /Ox /Ob2 /Ot /Oi /MP /arch:SSE2 /fp:fast")
        set (CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} /LTCG /INCREMENTAL:NO /OPT:REF /OPT:ICF")
        add_definitions (/W3 /wd4996 /wd4995 /wd4355)
        add_definitions (-DUNICODE -D_UNICODE)
        add_definitions (-D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS)
        add_definitions (-DNOMINMAX)
    endif ()

    # g++
    if (CMAKE_COMPILER_IS_GNUCXX)
        set (WEBSOCKETPP_PLATFORM_LIBS pthread rt)
        set (WEBSOCKETPP_PLATFORM_TLS_LIBS ssl crypto)
        set (WEBSOCKETPP_BOOST_LIBS system thread)
        set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
        if (NOT APPLE)
            add_definitions (-DNDEBUG -Wall -Wcast-align) # todo: should we use CMAKE_C_FLAGS for these?
        endif ()

        # Try to detect version. Note: Not tested!
        execute_process (COMMAND ${CMAKE_CXX_COMPILER} "-dumpversion" OUTPUT_VARIABLE GCC_VERSION)
        if ("${GCC_VERSION}" STRGREATER "4.4.0")
            message("* C++11 support partially enabled due to GCC version ${GCC_VERSION}")
            set (WEBSOCKETPP_BOOST_LIBS system thread)
        endif ()
    endif ()

    # clang
    if (CMAKE_COMPILER_IS_CLANGXX)
        if (NOT APPLE)
            set (WEBSOCKETPP_PLATFORM_LIBS pthread rt)
        else()
            set (WEBSOCKETPP_PLATFORM_LIBS pthread)
        endif()
        set (WEBSOCKETPP_PLATFORM_TLS_LIBS ssl crypto)
        set (WEBSOCKETPP_BOOST_LIBS system thread)
        set (CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} "-std=c++0x -stdlib=libc++") # todo: is libc++ really needed here?
        if (NOT APPLE)
            add_definitions (-DNDEBUG -Wall -Wno-padded) # todo: should we use CMAKE_C_FLAGS for these?
        endif ()
    endif ()

    # OSX, can override above.
    if (APPLE)
        add_definitions (-DNDEBUG -Wall)
    endif ()

    if (BUILD_EXAMPLES)
        list (APPEND WEBSOCKETPP_BOOST_LIBS random)
    endif()

    if (BUILD_TESTS)
        list (APPEND WEBSOCKETPP_BOOST_LIBS unit_test_framework)
    endif()

    ############ Dependencies

    # Set BOOST_ROOT env variable or pass with cmake -DBOOST_ROOT=path.
    # BOOST_ROOT can also be defined by a previous run from cmake cache.
    if (NOT "$ENV{BOOST_ROOT_CPP11}" STREQUAL "")
        # Scons documentation for BOOST_ROOT_CPP11:
        # "look for optional second boostroot compiled with clang's libc++ STL library
        # this prevents warnings/errors when linking code built with two different
        # incompatible STL libraries."
        file (TO_CMAKE_PATH "$ENV{BOOST_ROOT_CPP11}" BOOST_ROOT)
        set (BOOST_ROOT ${BOOST_ROOT} CACHE PATH "BOOST_ROOT dependency path" FORCE)
    endif ()
    if ("${BOOST_ROOT}" STREQUAL "")
        file (TO_CMAKE_PATH "$ENV{BOOST_ROOT}" BOOST_ROOT)
        # Cache BOOST_ROOT for runs that do not define $ENV{BOOST_ROOT}.
        set (BOOST_ROOT ${BOOST_ROOT} CACHE PATH "BOOST_ROOT dependency path" FORCE)
    endif ()

    message ("* Configuring Boost")
    message (STATUS "-- Using BOOST_ROOT")
    message (STATUS "       " ${BOOST_ROOT})

    if (MSVC)
        set (Boost_USE_MULTITHREADED TRUE)
        set (Boost_USE_STATIC_LIBS TRUE)
    else ()
        set (Boost_USE_MULTITHREADED FALSE)
        set (Boost_USE_STATIC_LIBS FALSE)
    endif ()

	if (BOOST_STATIC)
		set (Boost_USE_STATIC_LIBS TRUE)
	endif ()

    if (NOT Boost_USE_STATIC_LIBS)
        add_definitions (/DBOOST_TEST_DYN_LINK)
    endif ()

    set (Boost_FIND_REQUIRED TRUE)
    set (Boost_FIND_QUIETLY TRUE)
    set (Boost_DEBUG FALSE)
    set (Boost_USE_MULTITHREADED TRUE)
    set (Boost_ADDITIONAL_VERSIONS "1.39.0" "1.40.0" "1.41.0" "1.42.0" "1.43.0" "1.44.0" "1.46.1") # todo: someone who knows better spesify these!

    find_package (Boost 1.39.0 COMPONENTS "${WEBSOCKETPP_BOOST_LIBS}")

    if (Boost_FOUND)
        # Boost is a project wide global dependency.
        include_directories (${Boost_INCLUDE_DIRS})
        link_directories (${Boost_LIBRARY_DIRS})

        # Pretty print status
        message (STATUS "-- Include Directories")
        foreach (include_dir ${Boost_INCLUDE_DIRS})
            message (STATUS "       " ${include_dir})
        endforeach ()
        message (STATUS "-- Library Directories")
        foreach (library_dir ${Boost_LIBRARY_DIRS})
            message (STATUS "       " ${library_dir})
        endforeach ()
        message (STATUS "-- Libraries")
        foreach (boost_lib ${Boost_LIBRARIES})
            message (STATUS "       " ${boost_lib})
        endforeach ()
        message ("")
    else ()
        message (FATAL_ERROR "Failed to find required dependency: boost")
    endif ()

    find_package(OpenSSL)
    find_package(ZLIB)
endif()

############ Add projects

# Add main library
add_subdirectory (websocketpp)

# Add examples
if (BUILD_EXAMPLES)
    include_subdirs ("examples")
endif ()

# Add tests
if (BUILD_TESTS)
    include_subdirs ("test")
endif ()

print_used_build_config()

export (PACKAGE websocketpp)

include(CMakePackageConfigHelpers)
configure_package_config_file(websocketpp-config.cmake.in
  "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/websocketpp-config.cmake"
  PATH_VARS INSTALL_INCLUDE_DIR
  INSTALL_DESTINATION "${INSTALL_CMAKE_DIR}"
  NO_CHECK_REQUIRED_COMPONENTS_MACRO
)
write_basic_package_version_file("${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/websocketpp-configVersion.cmake"
  VERSION ${WEBSOCKETPP_VERSION}
  COMPATIBILITY ExactVersion)

# Install the websocketpp-config.cmake and websocketpp-configVersion.cmake
install (FILES
  "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/websocketpp-config.cmake"
  "${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/websocketpp-configVersion.cmake"
  DESTINATION "${INSTALL_CMAKE_DIR}" COMPONENT dev)

=== examples/dev/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)

#init_target (dev)

#build_executable (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

#link_boost ()
#final_target ()

#set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "examples")

=== debian/changelog ===
websocketpp (0.8.1-7) unstable; urgency=medium

  * Fix build with clang compiler
    (patch from meta-oe)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Jan 2020 14:23:51 +0100

websocketpp (0.8.1-6) unstable; urgency=medium

  * Mark the package as multi-arch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 09 Jan 2020 11:03:46 +0100

websocketpp (0.8.1-5) unstable; urgency=medium

  * debian/patches/857.patch
    - upstream proposed fix for Python3 scons failures (Closes: #947584)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 09 Jan 2020 10:07:35 +0100

websocketpp (0.8.1-4) unstable; urgency=medium

  * d/p/855.patch:
    - fix cmake build with boost 1.71
  * d/p/0001-cmake-Use-GNUInstallDirs.patch:
    - cherry-pick from meta-oe
  * bump std-version tp 4.4.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Jan 2020 18:00:58 +0100

websocketpp (0.8.1-3) unstable; urgency=medium

  * debian/patches/0001-Fix-include-directory-installation.patch:
    - Use a customizable include directory to install header files
  * debian/patches/771.patch:
    - upstream fix to bump version number to 0.8.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Sep 2019 11:38:30 +0200

websocketpp (0.8.1-2) unstable; urgency=medium

  * Apply two upstream patches (from meta-oe), to fix issues with new boost
    1.70
  * Bump compat level to 12
  * bump std-version tp 4.4.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Aug 2019 08:29:53 +0200

websocketpp (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * Drop the two upstream patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jul 2018 15:46:34 +0200

=== debian/control ===
Source: websocketpp
Section: libs
Priority: optional
Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libboost-chrono-dev,
               libboost-dev,
               libboost-random-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libssl-dev,
               zlib1g-dev,
               scons
Build-Depends-Indep: doxygen, ghostscript, texlive-font-utils
Standards-Version: 4.4.1
Homepage: https://github.com/zaphoyd/websocketpp
Vcs-Git: https://salsa.debian.org/debian/websocketpp.git
Vcs-Browser: https://salsa.debian.org/debian/websocketpp

Package: libwebsocketpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: C++/Boost Asio based websocket client/server library. Dev package
 WebSocket++ is a header only C++ library that implements RFC6455 The WebSocket
 Protocol. It allows integrating WebSocket client and server functionality into
 C++ programs. It uses interchangeable network transport modules including one
 based on C++ iostreams and one based on Boost Asio.
 .
 Major Features:
  * Full support for RFC6455
  * Partial support for Hixie 76 / Hybi 00, 07-17 draft specs (server only)
  * Message/event based interface
  * Supports secure WebSockets (TLS), IPv6, and explicit proxies.
  * Flexible dependency management (C++11 Standard Library or Boost)
  * Interchangeable network transport modules (iostream and Boost Asio)
  * Portable/cross platform (Posix/Windows, 32/64bit, Intel/ARM/PPC)
  * Thread-safe
 .
 This package contains the header files.

Package: libwebsocketpp-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: C++/Boost Asio based websocket client/server library. Doc package
 WebSocket++ is a header only C++ library that implements RFC6455 The WebSocket
 Protocol. It allows integrating WebSocket client and server functionality into
 C++ programs. It uses interchangeable network transport modules including one
 based on C++ iostreams and one based on Boost Asio.
 .
 Major Features:
  * Full support for RFC6455
  * Partial support for Hixie 76 / Hybi 00, 07-17 draft specs (server only)
  * Message/event based interface
  * Supports secure WebSockets (TLS), IPv6, and explicit proxies.
  * Flexible dependency management (C++11 Standard Library or Boost)
  * Interchangeable network transport modules (iostream and Boost Asio)
  * Portable/cross platform (Posix/Windows, 32/64bit, Intel/ARM/PPC)
  * Thread-safe
 .
 This package contains the common documentation.

## websocketpp 0.8.2

=== test/connection/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)

init_target (test_connection)

build_test (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

link_boost ()
final_target ()

set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "test")

=== test/transport/CMakeLists.txt ===
if (OPENSSL_FOUND)

# Test transport integration
file (GLOB SOURCE integration.cpp)

init_target (test_transport)
build_test (${TARGET_NAME} ${SOURCE})
link_boost ()
link_openssl()
final_target ()
set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "test")

# Test transport asio timers
file (GLOB SOURCE asio/timers.cpp)

init_target (test_transport_asio_timers)
build_test (${TARGET_NAME} ${SOURCE})
link_boost ()
link_openssl()
final_target ()
set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "test")

# Test transport asio security
file (GLOB SOURCE asio/security.cpp)

init_target (test_transport_asio_security)
build_test (${TARGET_NAME} ${SOURCE})
link_boost ()
link_openssl()
final_target ()
set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "test")

endif()

# Test transport iostream base
file (GLOB SOURCE iostream/base.cpp)

init_target (test_transport_iostream_base)
build_test (${TARGET_NAME} ${SOURCE})
link_boost ()
final_target ()
set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "test")

# Test transport iostream endpoint
file (GLOB SOURCE iostream/endpoint.cpp)

init_target (test_transport_iostream_endpoint)
build_test (${TARGET_NAME} ${SOURCE})
link_boost ()
final_target ()
set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "test")

# Test transport iostream connection
file (GLOB SOURCE iostream/connection.cpp)

init_target (test_transport_iostream_connection)
build_test (${TARGET_NAME} ${SOURCE})
link_boost ()
final_target ()
set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "test")

# Test transport asio base
file (GLOB SOURCE asio/base.cpp)

init_target (test_transport_asio_base)
build_test (${TARGET_NAME} ${SOURCE})
link_boost ()
final_target ()
set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "test")

=== test/utility/CMakeLists.txt ===
# Test close utilities
file (GLOB SOURCE close.cpp)

init_target (test_close)
build_test (${TARGET_NAME} ${SOURCE})
link_boost ()
final_target ()
set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "test")

# Test error utilities
file (GLOB SOURCE error.cpp)

init_target (test_error)
build_test (${TARGET_NAME} ${SOURCE})
link_boost ()
final_target ()
set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "test")

# Test frame utilities
file (GLOB SOURCE frame.cpp)

init_target (test_frame)
build_test (${TARGET_NAME} ${SOURCE})
link_boost ()
final_target ()
set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "test")

# Test sha1 utilities
file (GLOB SOURCE sha1.cpp)

init_target (test_sha1)
build_test (${TARGET_NAME} ${SOURCE})
link_boost ()
final_target ()
set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "test")

# Test uri utilities
file (GLOB SOURCE uri.cpp)

init_target (test_uri)
build_test (${TARGET_NAME} ${SOURCE})
link_boost ()
final_target ()
set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "test")

# Test misc utilities
file (GLOB SOURCE utilities.cpp)

init_target (test_utilities)
build_test (${TARGET_NAME} ${SOURCE})
link_boost ()
final_target ()
set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "test")

=== debian/changelog ===
websocketpp (0.8.2-4) unstable; urgency=medium

  * debian/patches/1024.patch:
    - upstream-proposed patch from László Böszörményi to fix a build failure
      with scons 4.2.0 (Closes: #1003022)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Feb 2022 14:14:37 +0100

websocketpp (0.8.2-3) unstable; urgency=medium

  * Revert last upload (re-enable clang based doxygen parsing now that doxygen
    is fixed)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Sep 2020 15:13:20 +0200

websocketpp (0.8.2-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Gianfranco Costamagna ]
  * Disable clang doxygen parsing (Closes: #971113)
  * Add R^3 no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Sep 2020 19:58:32 +0200

websocketpp (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * Drop patches accepted upstream:
    - 0001-Replace-make_shared-with-new-in-some-cases.patch
    - 0002-Fix-missed-entries-fix-testing.patch
    - 771.patch
    - 842.patch
  * Refresh patches:
    - 0001-Correct-clang-compiler-flags.patch
    - 855.patch
  * Bump std-version to 4.5.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Apr 2020 10:11:34 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
                zlib1g-dev,
                scons
 Build-Depends-Indep: doxygen, ghostscript, texlive-font-utils
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/zaphoyd/websocketpp
 Vcs-Git: https://salsa.debian.org/debian/websocketpp.git
 Vcs-Browser: https://salsa.debian.org/debian/websocketpp

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doxygen build .sconsign.dblite

override_dh_auto_configure:
	# building examples and tests can spot building problems for programs using this library
	dh_auto_configure -- -DBUILD_EXAMPLES=ON -DBUILD_TESTS=ON

override_dh_auto_build-indep:
	doxygen Doxyfile
	dh_auto_build

override_dh_install:
	dh_install -plibwebsocketpp-doc doxygen/html/*   usr/share/doc/libwebsocketpp-doc/html
	dh_install -plibwebsocketpp-dev debian/tmp/usr/* usr

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --no-parallel
	BOOST_LIBS=/usr/lib/$(DEB_HOST_MULTIARCH) BOOST_INCLUDES=/usr/include/boost scons test
endif

## websocketpp 0.8.2%2Bgit20250909

=== examples/echo_server_tls/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)


if (OPENSSL_FOUND)

init_target (echo_server_tls)

build_executable (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

link_boost ()
link_openssl()
final_target ()

set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "examples")

endif()

## websocketpp 0.8.2+git20250909

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 ############ Project name and version
 set (WEBSOCKETPP_MAJOR_VERSION 0)
 set (WEBSOCKETPP_MINOR_VERSION 8)
-set (WEBSOCKETPP_PATCH_VERSION 0)
+set (WEBSOCKETPP_PATCH_VERSION 3)
 set (WEBSOCKETPP_VERSION ${WEBSOCKETPP_MAJOR_VERSION}.${WEBSOCKETPP_MINOR_VERSION}.${WEBSOCKETPP_PATCH_VERSION})
 
 if(POLICY CMP0048)
@@ -39,11 +39,13 @@
 
 set_property(GLOBAL PROPERTY USE_FOLDERS ON)
 
+include(GNUInstallDirs)
+
 set(INSTALL_INCLUDE_DIR include CACHE PATH "Installation directory for header files")
 if (WIN32 AND NOT CYGWIN)
   set (DEF_INSTALL_CMAKE_DIR cmake)
 else ()
-  set (DEF_INSTALL_CMAKE_DIR lib/cmake/websocketpp)
+  set (DEF_INSTALL_CMAKE_DIR ${CMAKE_INSTALL_LIBDIR}/cmake/websocketpp)
 endif ()
 set (INSTALL_CMAKE_DIR ${DEF_INSTALL_CMAKE_DIR} CACHE PATH "Installation directory for CMake files")
 
@@ -123,7 +125,15 @@
 
     # g++
     if (CMAKE_COMPILER_IS_GNUCXX)
-        set (WEBSOCKETPP_PLATFORM_LIBS pthread rt)
+        if (NOT APPLE AND NOT HAIKU)
+            set (WEBSOCKETPP_PLATFORM_LIBS pthread rt)
+        else()
+        if (HAIKU)
+            set (WEBSOCKETPP_PLATFORM_LIBS pthread network)
+        else()
+            set (WEBSOCKETPP_PLATFORM_LIBS pthread)
+        endif()
+        endif()
         set (WEBSOCKETPP_PLATFORM_TLS_LIBS ssl crypto)
         set (WEBSOCKETPP_BOOST_LIBS system thread)
         set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
@@ -141,14 +151,16 @@
 
     # clang
     if (CMAKE_COMPILER_IS_CLANGXX)
-        if (NOT APPLE)
+        if (APPLE)
+            set (WEBSOCKETPP_PLATFORM_LIBS pthread)
+        elseif (HAIKU)
+            set (WEBSOCKETPP_PLATFORM_LIBS pthread network)
+        else()
             set (WEBSOCKETPP_PLATFORM_LIBS pthread rt)
-        else()
-            set (WEBSOCKETPP_PLATFORM_LIBS pthread)
         endif()
         set (WEBSOCKETPP_PLATFORM_TLS_LIBS ssl crypto)
         set (WEBSOCKETPP_BOOST_LIBS system thread)
-        set (CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} "-std=c++0x -stdlib=libc++") # todo: is libc++ really needed here?
+        set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
         if (NOT APPLE)
             add_definitions (-DNDEBUG -Wall -Wno-padded) # todo: should we use CMAKE_C_FLAGS for these?
         endif ()
@@ -202,7 +214,7 @@
 	endif ()
 
     if (NOT Boost_USE_STATIC_LIBS)
-        add_definitions (/DBOOST_TEST_DYN_LINK)
+        add_definitions (-DBOOST_TEST_DYN_LINK)
     endif ()
 
     set (Boost_FIND_REQUIRED TRUE)
@@ -211,7 +223,7 @@
     set (Boost_USE_MULTITHREADED TRUE)
     set (Boost_ADDITIONAL_VERSIONS "1.39.0" "1.40.0" "1.41.0" "1.42.0" "1.43.0" "1.44.0" "1.46.1") # todo: someone who knows better spesify these!
 
-    find_package (Boost 1.39.0 COMPONENTS "${WEBSOCKETPP_BOOST_LIBS}")
+    find_package (Boost 1.39.0 COMPONENTS ${WEBSOCKETPP_BOOST_LIBS})
 
     if (Boost_FOUND)
         # Boost is a project wide global dependency.

=== SConstruct ===
import os, sys, SCons.Errors
from subprocess import check_output

env = Environment(ENV = os.environ)

# figure out a better way to configure this
if 'CXX' in os.environ:
    env['CXX'] = os.environ['CXX']

if 'DEBUG' in os.environ:
    env['DEBUG'] = os.environ['DEBUG']

if 'CXXFLAGS' in os.environ:
    #env['CXXFLAGS'] = os.environ['CXXFLAGS']
    env.Append(CXXFLAGS = os.environ['CXXFLAGS'])

if 'LINKFLAGS' in os.environ:
    #env['LDFLAGS'] = os.environ['LDFLAGS']
    env.Append(LINKFLAGS = os.environ['LINKFLAGS'])

## Boost
##
## Note: You need to either set BOOSTROOT to the root of a stock Boost distribution
## or set BOOST_INCLUDES and BOOST_LIBS if Boost comes with your OS distro e.g. and
## needs BOOST_INCLUDES=/usr/include/boost and BOOST_LIBS=/usr/lib like Ubuntu.
##
if 'BOOSTROOT' in os.environ:
    os.environ['BOOST_ROOT'] = os.environ['BOOSTROOT']

if 'BOOST_ROOT' in os.environ:
   env['BOOST_INCLUDES'] = os.environ['BOOST_ROOT']
   env['BOOST_LIBS'] = os.path.join(os.environ['BOOST_ROOT'], 'stage', 'lib')
elif 'BOOST_INCLUDES' in os.environ and 'BOOST_LIBS' in os.environ:
   env['BOOST_INCLUDES'] = os.environ['BOOST_INCLUDES']
   env['BOOST_LIBS'] = os.environ['BOOST_LIBS']
else:
   raise SCons.Errors.UserError("Neither BOOST_ROOT, nor BOOST_INCLUDES + BOOST_LIBS were set!")

## Custom OpenSSL
if 'OPENSSL_PATH' in os.environ:
   env.Append(CPPPATH = os.path.join(os.environ['OPENSSL_PATH'], 'include'))
   env.Append(LIBPATH = os.environ['OPENSSL_PATH'])

if 'WSPP_ENABLE_CPP11' in os.environ:
   env['WSPP_ENABLE_CPP11'] = True
else:
   env['WSPP_ENABLE_CPP11'] = False

boost_linkshared = False

def boostlibs(libnames,localenv):
   if localenv['PLATFORM'].startswith('win'):
      # Win/VC++ supports autolinking. nothing to do.
      # http://www.boost.org/doc/libs/1_49_0/more/getting_started/windows.html#auto-linking
      return []
   else:
      libs = []
      prefix = localenv['SHLIBPREFIX'] if boost_linkshared else localenv['LIBPREFIX']
      suffix = localenv['SHLIBSUFFIX'] if boost_linkshared else localenv['LIBSUFFIX']
      for name in libnames:
         lib = File(os.path.join(localenv['BOOST_LIBS'], '%sboost_%s%s' % (prefix, name, suffix)))
         libs.append(lib)
      return libs

if env['PLATFORM'].startswith('win'):
   env.Append(CPPDEFINES = ['WIN32',
                            'NDEBUG',
                            'WIN32_LEAN_AND_MEAN',
                            '_WIN32_WINNT=0x0600',
                            '_CONSOLE',
                            'BOOST_TEST_DYN_LINK',
                            'NOMINMAX',
                            '_WEBSOCKETPP_CPP11_MEMORY_',
                            '_WEBSOCKETPP_CPP11_FUNCTIONAL_'])
   arch_flags  = '/arch:SSE2'
   opt_flags   = '/Ox /Oi /fp:fast'
   warn_flags  = '/W3 /wd4996 /wd4995 /wd4355'
   env['CCFLAGS'] = '%s /EHsc /GR /GS- /MD /nologo %s %s' % (warn_flags, arch_flags, opt_flags)
   env['LINKFLAGS'] = '/INCREMENTAL:NO /MANIFEST /NOLOGO /OPT:REF /OPT:ICF /MACHINE:X86'
elif env['PLATFORM'] == 'posix':
   if 'DEBUG' in env:
      env.Append(CCFLAGS = ['-g', '-O0'])
   else:
      env.Append(CPPDEFINES = ['NDEBUG'])
      env.Append(CCFLAGS = ['-O1', '-fomit-frame-pointer'])
   env.Append(CCFLAGS = ['-Wall'])
   #env['LINKFLAGS'] = ''
elif env['PLATFORM'] == 'darwin':
   if not 'CXX' in os.environ:
      env['CXX'] = "clang++"
   if 'DEBUG' in env:
      env.Append(CCFLAGS = ['-g', '-O0'])
   else:
      env.Append(CPPDEFINES = ['NDEBUG'])
      env.Append(CCFLAGS = ['-O1', '-fomit-frame-pointer'])
   env.Append(CCFLAGS = ['-Wall'])
   #env['LINKFLAGS'] = ''

if env['PLATFORM'].startswith('win'):
   #env['LIBPATH'] = env['BOOST_LIBS']
   pass
else:
   env.Append(LIBPATH = ['/usr/lib', '/usr/local/lib'])

# Compiler specific warning flags
if env['CXX'].startswith('g++'):
   #env.Append(CCFLAGS = ['-Wconversion'])
   env.Append(CCFLAGS = ['-Wcast-align'])
   env.Append(CCFLAGS = ['-Wshadow'])
   env.Append(CCFLAGS = ['-Wunused-parameter'])
elif env['CXX'].startswith('clang++'):
   #env.Append(CCFLAGS = ['-Wcast-align'])
   #env.Append(CCFLAGS = ['-Wglobal-constructors'])
   #env.Append(CCFLAGS = ['-Wconversion'])
   env.Append(CCFLAGS = ['-Wno-padded'])
   env.Append(CCFLAGS = ['-Wshadow'])
   env.Append(CCFLAGS = ['-Wunused-parameter'])

   env.Append(CCFLAGS = ['-Wsometimes-uninitialized'])
   env.Append(CCFLAGS = ['-Wuninitialized'])

   #env.Append(CCFLAGS = ['-Weverything'])
   #env.Append(CCFLAGS = ['-Wno-documentation'])
   #env.Append(CCFLAGS = ['-Wno-weak-vtables'])
   #env.Append(CCFLAGS = ['-Wno-global-constructors'])
   #env.Append(CCFLAGS = ['-Wno-sign-conversion'])
   #env.Append(CCFLAGS = ['-Wno-exit-time-destructors'])




   # Wpadded
   # Wsign-conversion
   #

platform_libs = []
tls_libs = []

tls_build = False

if env['PLATFORM'] == 'posix':
   platform_libs = ['pthread', 'rt']
   tls_libs = ['ssl', 'crypto']
   tls_build = True
elif env['PLATFORM'] == 'darwin':
   tls_libs = ['ssl', 'crypto']
   tls_build = True
elif env['PLATFORM'].startswith('win'):
   # Win/VC++ supports autolinking. nothing to do.
   pass

## Append WebSocket++ path
env.Append(CPPPATH = ['#'])

##### Set up C++11 environment
polyfill_libs = [] # boost libraries used as drop in replacements for incomplete
                   # C++11 STL implementations
env_cpp11 = env.Clone ()

if env_cpp11['CXX'].startswith('g++'):
   # TODO: check g++ version
   GCC_VERSION = check_output([env_cpp11['CXX'], '-dumpversion']).decode("utf-8")

   if GCC_VERSION > "4.4.0":
      print("C++11 build environment partially enabled")
      env_cpp11.Append(WSPP_CPP11_ENABLED = "true",CXXFLAGS = ['-std=c++0x'],TOOLSET = ['g++'],CPPDEFINES = ['_WEBSOCKETPP_CPP11_STL_'])
   else:
      print("C++11 build environment is not supported on this version of G++")
elif env_cpp11['CXX'].startswith('clang++'):
   print("C++11 build environment enabled")
   env.Append(CXXFLAGS = ['-stdlib=libc++'],LINKFLAGS=['-stdlib=libc++'])
   env_cpp11.Append(WSPP_CPP11_ENABLED = "true",CXXFLAGS = ['-std=c++0x','-stdlib=libc++'],LINKFLAGS = ['-stdlib=libc++'],TOOLSET = ['clang++'],CPPDEFINES = ['_WEBSOCKETPP_CPP11_STL_'])

   # look for optional second boostroot compiled with clang's libc++ STL library
   # this prevents warnings/errors when linking code built with two different
   # incompatible STL libraries.
   if 'BOOST_ROOT_CPP11' in os.environ:
      env_cpp11['BOOST_INCLUDES'] = os.environ['BOOST_ROOT_CPP11']
      env_cpp11['BOOST_LIBS'] = os.path.join(os.environ['BOOST_ROOT_CPP11'], 'stage', 'lib')
   elif 'BOOST_INCLUDES_CPP11' in os.environ and 'BOOST_LIBS_CPP11' in os.environ:
      env_cpp11['BOOST_INCLUDES'] = os.environ['BOOST_INCLUDES_CPP11']
      env_cpp11['BOOST_LIBS'] = os.environ['BOOST_LIBS_CPP11']
else:
   print("C++11 build environment disabled")

# if the build system is known to allow the isystem modifier for library include
# values then use it for the boost libraries. Otherwise just add them to the
# regular CPPPATH values.
if env['CXX'].startswith('g++') or env['CXX'].startswith('clang'):
    env.Append(CPPFLAGS = '-isystem ' + env['BOOST_INCLUDES'])
else:
    env.Append(CPPPATH = [env['BOOST_INCLUDES']])
env.Append(LIBPATH = [env['BOOST_LIBS']])

# if the build system is known to allow the isystem modifier for library include
# values then use it for the boost libraries. Otherwise just add them to the
# regular CPPPATH values.
if env_cpp11['CXX'].startswith('g++') or env_cpp11['CXX'].startswith('clang'):
    env_cpp11.Append(CPPFLAGS = '-isystem ' + env_cpp11['BOOST_INCLUDES'])
else:
    env_cpp11.Append(CPPPATH = [env_cpp11['BOOST_INCLUDES']])
env_cpp11.Append(LIBPATH = [env_cpp11['BOOST_LIBS']])

releasedir = 'build/release/'
debugdir = 'build/debug/'
testdir = 'build/test/'
builddir = releasedir

Export('env')
Export('env_cpp11')
Export('platform_libs')
Export('boostlibs')
Export('tls_libs')
Export('polyfill_libs')

## END OF CONFIG !!

## TARGETS:

if not env['PLATFORM'].startswith('win'):
    # Unit tests, add test folders with SConscript files to to_test list.
    to_test = ['utility','http','logger','random','processors','message_buffer','extension','transport/iostream','transport/asio','roles','endpoint','connection','transport'] #,'http','processors','connection'

    for t in to_test:
       new_tests = SConscript('#/test/'+t+'/SConscript',variant_dir = testdir + t, duplicate = 0)
       for a in new_tests:
          new_alias = Alias('test', [a], a.abspath)
          AlwaysBuild(new_alias)

# Main test application
#main = SConscript('#/examples/dev/SConscript',variant_dir = builddir + 'dev',duplicate = 0)

# echo_server
echo_server = SConscript('#/examples/echo_server/SConscript',variant_dir = builddir + 'echo_server',duplicate = 0)

# echo_client
echo_client = SConscript('#/examples/echo_client/SConscript',variant_dir = builddir + 'echo_client',duplicate = 0)

# print_client
print_client = SConscript('#/examples/print_client/SConscript',variant_dir = builddir + 'print_client',duplicate = 0)

# echo_server_tls
if tls_build:
    echo_server_tls = SConscript('#/examples/echo_server_tls/SConscript',variant_dir = builddir + 'echo_server_tls',duplicate = 0)
    echo_server_both = SConscript('#/examples/echo_server_both/SConscript',variant_dir = builddir + 'echo_server_both',duplicate = 0)
    print_client_tls = SConscript('#/examples/print_client_tls/SConscript',variant_dir = builddir + 'print_client_tls',duplicate = 0)

# broadcast_server
broadcast_server = SConscript('#/examples/broadcast_server/SConscript',variant_dir = builddir + 'broadcast_server',duplicate = 0)

# testee_server
testee_server = SConscript('#/examples/testee_server/SConscript',variant_dir = builddir + 'testee_server',duplicate = 0)

# testee_client
testee_client = SConscript('#/examples/testee_client/SConscript',variant_dir = builddir + 'testee_client',duplicate = 0)

# scratch_client
scratch_client = SConscript('#/examples/scratch_client/SConscript',variant_dir = builddir + 'scratch_client',duplicate = 0)

# scratch_server
scratch_server = SConscript('#/examples/scratch_server/SConscript',variant_dir = builddir + 'scratch_server',duplicate = 0)


# debug_client
debug_client = SConscript('#/examples/debug_client/SConscript',variant_dir = builddir + 'debug_client',duplicate = 0)

# debug_server
debug_server = SConscript('#/examples/debug_server/SConscript',variant_dir = builddir + 'debug_server',duplicate = 0)

# subprotocol_server
subprotocol_server = SConscript('#/examples/subprotocol_server/SConscript',variant_dir = builddir + 'subprotocol_server',duplicate = 0)

# telemetry_server
telemetry_server = SConscript('#/examples/telemetry_server/SConscript',variant_dir = builddir + 'telemetry_server',duplicate = 0)

# external_io_service
external_io_service = SConscript('#/examples/external_io_service/SConscript',variant_dir = builddir + 'external_io_service',duplicate = 0)

if not env['PLATFORM'].startswith('win'):
    # iostream_server
    iostream_server = SConscript('#/examples/iostream_server/SConscript',variant_dir = builddir + 'iostream_server',duplicate = 0)

    # telemetry_client
    telemetry_client = SConscript('#/examples/telemetry_client/SConscript',variant_dir = builddir + 'telemetry_client',duplicate = 0)

    # print_server
    print_server = SConscript('#/examples/print_server/SConscript',variant_dir = builddir + 'print_server',duplicate = 0)

=== examples/associative_storage/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)

init_target (associative_storage)

build_executable (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

link_boost ()
final_target ()

set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "examples")

=== examples/broadcast_server/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)

init_target (broadcast_server)

build_executable (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

link_boost ()
final_target ()

set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "examples")

=== examples/debug_client/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)

if (OPENSSL_FOUND)

init_target (debug_client)

build_executable (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

link_boost ()
link_openssl()
final_target ()

set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "examples")

endif()

=== examples/debug_server/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)

init_target (debug_server)

build_executable (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

link_boost ()
final_target ()

set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "examples")

=== examples/echo_client/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)

init_target (echo_client)

build_executable (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

link_boost ()
final_target ()

set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "examples")

=== examples/echo_server/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)

init_target (echo_server)

build_executable (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

link_boost ()
final_target ()

set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "examples")

=== examples/enriched_storage/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)

init_target (enriched_storage)

build_executable (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

link_boost ()
final_target ()

set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "examples")

=== examples/external_io_service/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)

init_target (external_io_service)

build_executable (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

link_boost ()
final_target ()

set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "examples")

=== examples/handler_switch/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)

init_target (handler_switch)

build_executable (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

link_boost ()
final_target ()

set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "examples")

=== examples/iostream_server/CMakeLists.txt ===

file (GLOB SOURCE_FILES *.cpp)
file (GLOB HEADER_FILES *.hpp)

init_target (iostream_server)

build_executable (${TARGET_NAME} ${SOURCE_FILES} ${HEADER_FILES})

link_boost ()
final_target ()

set_target_properties(${TARGET_NAME} PROPERTIES FOLDER "examples")

=== debian/changelog ===
websocketpp (0.8.2+git20250909-1) unstable; urgency=medium

  * New upstream version 0.8.2+git20250909
  * Drop patches now part of upstream codebase:
    - 0001-Correct-clang-compiler-flags.patch
    - 0001-cmake-Use-GNUInstallDirs.patch
    - 1024.patch
    - 855.patch
    - 857.patch
    - deb0a334471362608958ce59a6b0bcd3e5b73c24.patch
  * Add upstream proposed patch to fix compilation with new boost >= 1.87
    - 1164.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Sep 2025 15:51:28 +0200

websocketpp (0.8.2-7) unstable; urgency=medium

  * Stick with boost1.83 for now, fails to build with boost1.88

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Sep 2025 17:45:40 +0200

websocketpp (0.8.2-6) unstable; urgency=medium

  * Fix build with new compat level 13, and use new dh keywords

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Sep 2025 17:32:56 +0200

websocketpp (0.8.2-5) unstable; urgency=medium

  * Bump std-version to 4.7.2, no changes required
  * Bump copyright years
  * Bump compat level to 13
  * d/p/deb0a334471362608958ce59a6b0bcd3e5b73c24.patch: Fix compatibility
    with cmake 4 with upstream patch (Closes: #1113628)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Sep 2025 09:37:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libboost-chrono-dev,
                libboost-dev,
                libboost-random-dev,
@@ -14,7 +14,7 @@
                zlib1g-dev,
                scons
 Build-Depends-Indep: doxygen, ghostscript, texlive-font-utils
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/zaphoyd/websocketpp
 Vcs-Git: https://salsa.debian.org/debian/websocketpp.git

=== debian/rules ===
--- 
+++ 
@@ -6,20 +6,21 @@
 %:
 	dh $@
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_before_dh_auto_clean:
 	rm -rf doxygen build .sconsign.dblite
 
 override_dh_auto_configure:
 	# building examples and tests can spot building problems for programs using this library
 	dh_auto_configure -- -DBUILD_EXAMPLES=ON -DBUILD_TESTS=ON
 
-override_dh_auto_build-indep:
+execute_before_dh_auto_build-indep:
 	doxygen Doxyfile
-	dh_auto_build
 
-override_dh_install:
+execute_before_dh_install-indep:
 	dh_install -plibwebsocketpp-doc doxygen/html/*   usr/share/doc/libwebsocketpp-doc/html
+	rm -rf debian/tmp/usr/lib debian/tmp/usr/include
+
+execute_before_dh_install-arch:
 	dh_install -plibwebsocketpp-dev debian/tmp/usr/* usr
 
 override_dh_auto_test:

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
 https://github.com/zaphoyd/websocketpp/tags .*/v?(\d\S*)\.tar\.gz
